import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.DBInfo;
import quadbase.ChartAPI.QbChart;

public class ChartSwitchToDatabase extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ChartSwitchToDatabase chart = new ChartSwitchToDatabase();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doChartSwitchToDatabase(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doChartSwitchToDatabase(this));
	}

	Component doChartSwitchToDatabase(Applet parent) {

		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Data Source
		DBInfo newDatabaseInfo = new DBInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"SELECT Categories.CategoryName, Avg(Products.UnitPrice) AS Avg_Of_UnitPrice FROM Products, Categories WHERE (Products.CategoryID = Categories.CategoryID) GROUP BY Categories.CategoryName");

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ChartSwitchToDatabase.tpl"); // template

		try {
			// Switch data source
			chart.gethInputData().setDatabaseInfo(newDatabaseInfo);

			// Refresh chart
			chart.refresh();
		} catch (Exception ex)
		{
			ex.printStackTrace();

		}

		// Show chart in Viewer
		return chart;
	}

}
